gtk-0.12.4: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.Selectors.ColorSelectionDialog

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods

Description

A standard dialog box for selecting a color

Synopsis

- data ColorSelectionDialog
- class DialogClass o => ColorSelectionDialogClass o
- castToColorSelectionDialog :: GObjectClass obj => obj -> ColorSelectionDialog
- gTypeColorSelectionDialog :: GType
- toColorSelectionDialog :: ColorSelectionDialogClass o => o -> ColorSelectionDialog
- colorSelectionDialogNew :: String -> IO ColorSelectionDialog
- colorSelectionDialogGetColor :: ColorSelectionDialog -> IO ColorSelection
- colorSelectionDialogGetOkButton :: ColorSelectionDialog -> IO Button
- colorSelectionDialogGetCancelButton :: ColorSelectionDialog -> IO Button
- colorSelectionDialogGetHelpButton :: ColorSelectionDialog -> IO Button

# Detail

The `ColorSelectionDialog` provides a standard dialog which allows the user to select a color much like the `FileSelection` provides a standard dialog for file selection.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Container
     | +----Bin
     | +----Window
     | +----Dialog
     | +----ColorSelectionDialog

# Types

data ColorSelectionDialog

Instances

Eq ColorSelectionDialog |
Ord ColorSelectionDialog |
GObjectClass ColorSelectionDialog |
ColorSelectionDialogClass ColorSelectionDialog |
DialogClass ColorSelectionDialog |
WindowClass ColorSelectionDialog |
BinClass ColorSelectionDialog |
ContainerClass ColorSelectionDialog |
WidgetClass ColorSelectionDialog |
ObjectClass ColorSelectionDialog |

class DialogClass o => ColorSelectionDialogClass o

Instances

ColorSelectionDialogClass ColorSelectionDialog |

castToColorSelectionDialog :: GObjectClass obj => obj -> ColorSelectionDialog

gTypeColorSelectionDialog :: GType

toColorSelectionDialog :: ColorSelectionDialogClass o => o -> ColorSelectionDialog

# Constructors

colorSelectionDialogNew

Arguments

:: String | `title` - a string containing the title text for the dialog.
-> IO ColorSelectionDialog |

Creates a new `ColorSelectionDialog`.

# Methods

colorSelectionDialogGetColor :: ColorSelectionDialog -> IO ColorSelection

Retrieve the ColorSelection object contained within the dialog.

colorSelectionDialogGetOkButton :: ColorSelectionDialog -> IO Button

Retrieve the OK button widget contained within the dialog.

colorSelectionDialogGetCancelButton :: ColorSelectionDialog -> IO Button

Retrieve the Cancel button widget contained within the dialog.

colorSelectionDialogGetHelpButton :: ColorSelectionDialog -> IO Button

Retrieve the Help button widget contained within the dialog.